//Patriche Robert Cosmin
#include <iostream>
#include <cstdlib>
#include <ctime>
using namespace std;

double calcolaMedia(int arr[], int size);
int contaMaggiori(int arr[], int size, double media);
void trovaMinori(int arr[], int size, double media);

int main() {
    const int DIM = 15;
    int numeri[DIM];
    srand(time(0));
    
    cout << "Array: ";
    for (int i = 0; i < DIM; i++) {
        numeri[i] = rand() % 100 + 1;
        cout << numeri[i] << " ";
    }
    cout << endl;
    
    double media = calcolaMedia(numeri, DIM);
    cout << "Media: " << media << endl;
    
    int maggiori = contaMaggiori(numeri, DIM, media);
    cout << "Elementi maggiori della media: " << maggiori << endl;
    
    cout << "Indici degli elementi minori della media: ";
    trovaMinori(numeri, DIM, media);
    cout << endl;

    return 0;
}

double calcolaMedia(int arr[], int size) {
    double somma = 0;
    for (int i = 0; i < size; i++) {
        somma += arr[i];
    }
    return somma / size;
}

int contaMaggiori(int arr[], int size, double media) {
    int count = 0;
    for (int i = 0; i < size; i++) {
        if (arr[i] > media) count++;
    }
    return count;
}

void trovaMinori(int arr[], int size, double media) {
    for (int i = 0; i < size; i++) {
        if (arr[i] < media) cout << i << " ";
    }
}
